Package org.eclipse.pde.core.project

# Interface IRequiredBundleDescription

public interface IRequiredBundleDescription
Describes a required bundle. Instances of this class can be created via `IBundleProjectService.newRequiredBundle(String, VersionRange, boolean, boolean)`.

Since:
  3.6
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

## Method Summary

Modifier and Type
Method
Description
`default String`
`getName()`
Deprecated.
Instead use `name()`
`default VersionRange`
`getVersionRange()`
Deprecated, for removal: This API element is subject to removal in a future version.
Instead use `version()`
`boolean`
`isExported()`
Returns whether the required bundle is re-exported.
`boolean`
`isOptional()`
Returns whether the required bundle is optional.
`String`
`name()`
Returns the symbolic name of the required bundle.
`VersionRange`
`version()`
Returns the version constraint of the required bundle or `null` if unspecified.

## Method Details

### name

String name()
Returns the symbolic name of the required bundle.

Returns:
  symbolic name of the required bundle
Since:
  3.19

### getName

@Deprecated(since="3.19") default String getName()
Deprecated.
Instead use `name()`

### version

VersionRange version()
Returns the version constraint of the required bundle or `null` if unspecified.

Returns:
  version constraint or `null`
Since:
  3.19

### getVersionRange

@Deprecated(forRemoval=true, since="3.19 (removal in 2026-09 or later)") default VersionRange getVersionRange()
Deprecated, for removal: This API element is subject to removal in a future version.
Instead use `version()`

### isExported

boolean isExported()
Returns whether the required bundle is re-exported.

Returns:
  whether re-exported

### isOptional

boolean isOptional()
Returns whether the required bundle is optional.

Returns:
  whether optional